统一各个 APP 的 native 接口调用方法，目前支持「轩辕」与「Ping」。

## 安装

使用 NPM 或者 Yarn 安装`app-methods`：

```
yarn add app-methods
# 或
npm install app-methods --save
```

然后在项目里导入：

```js
import * as app from 'app-methods'
// 或单独导入属性与方法
import { platform, showBar, hideBar, exit } from 'app-methods'
```

你还可以直接在 HTML 里加入下面的代码：

```html
<!-- 使用未压缩版本 -->
<script src="https://unpkg.com/app-methods"></script>
<!-- 或压缩后的版本 -->
<script src="https://unpkg.com/app-methods/dist/app.min.js"></script>
```

这会添加一个名为 `app` 的全局变量。

## API

`app` 对象有一个属性和三个方法：

### `app.platform`

`'ping'`、`'xy'` 和 `'other'` 的其中一个。其中 `ping` 代表「Ping」，`xy` 代表「轩辕」，`other` 代表任何其它运行平台。

### `app.hideBar()`

隐藏 APP 导航栏的方法。

### `app.showBar()`

显示 APP 导航栏的方法

### `app.exit()`

退出 APP WebView 的方法。

## 工作原理

`app-methods` 内部根据 `userAgent` 判断出网页当前运行在哪个 APP 里，然后调用对应 APP 的接口方法。如果网页运行在未知的应用里（即 `app.platform === 'other'`）时，调用所有方法都会无效（事实上此时这些方法都是空函数）。你可以联系我添加更多 APP 接口，或者自行判断当 `app.platform` 是 `other` 时调用其它方法。
